Package org.eclipse.emf.cdo.compare

# Class CDOCompare.CDOMatcher

java.lang.Object
org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher
org.eclipse.emf.cdo.compare.CDOCompare.CDOMatcher

All Implemented Interfaces:
  `org.eclipse.emf.compare.match.eobject.IEObjectMatcher`

Enclosing class:
  CDOCompare

public static class CDOCompare.CDOMatcher extends org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher
A `matcher` that treats `resources` as `EObjects`.

Since:
  4.3
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher

`org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher.DefaultIDFunction`

## Constructor Summary

Constructors
Constructor
Description
`CDOMatcher(com.google.common.base.Function<EObject,String> idComputation)`

## Method Summary

Modifier and Type
Method
Description
`protected EObject`
`getParentEObject(EObject eObject)`
`protected Set<org.eclipse.emf.compare.Match>`
`matchPerId(Iterator<? extends EObject> leftEObjects, Iterator<? extends EObject> rightEObjects, Iterator<? extends EObject> originEObjects, List<EObject> leftEObjectsNoID, List<EObject> rightEObjectsNoID, List<EObject> originEObjectsNoID)`

### Methods inherited from class org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher

`createMatches, doDelegation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOMatcher

public CDOMatcher(com.google.common.base.Function<EObject,String> idComputation)

## Method Details

### getParentEObject

protected EObject getParentEObject(EObject eObject)

Overrides:
  `getParentEObject` in class `org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher`

### matchPerId

protected Set<org.eclipse.emf.compare.Match> matchPerId(Iterator<? extends EObject> leftEObjects, Iterator<? extends EObject> rightEObjects, Iterator<? extends EObject> originEObjects, List<EObject> leftEObjectsNoID, List<EObject> rightEObjectsNoID, List<EObject> originEObjectsNoID)

Overrides:
  `matchPerId` in class `org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher`